CEL: Crystal Entity Layer: iMessageQuestRewardFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMessageQuestRewardFactory Struct Reference

This interface is implemented by the reward that sends a message to some entity (the behaviour will get this message). More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | AddParameter (celDataType type, csStringID id, const char *name, const char *value)=0
| Add a parameter to send with the message.
virtual void | SetEntityParameter (const char *entity)=0
| Set the name of the entity.
virtual void | SetIDParameter (const char *id)=0
| Set the message id.

## Detailed Description

This interface is implemented by the reward that sends a message to some entity (the behaviour will get this message).

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.message'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity to send the message too.
- id: id of the message to send.

Definition at line 1529 of file questmanager.h.

## Member Function Documentation

virtual void iMessageQuestRewardFactory::AddParameter | ( | celDataType | type,
|  | csStringID | id,
|  | const char * | name,
|  | const char * | value |
| ) |  |  | `[pure virtual]`

Add a parameter to send with the message.

Parameters:

  | type | is one of CEL_DATA_STRING, CEL_DATA_FLOAT, CEL_DATA_LONG, CEL_DATA_BOOL, or CEL_DATA_VECTOR3.
  | id | is the id of the parameter (calculated from the string "cel.parameter." appended with the name).
  | name | is the name of the parameter.
  | value | is the value string or a parameter for it (starts with '$').

virtual void iMessageQuestRewardFactory::SetEntityParameter | ( | const char * | entity | ) | `[pure virtual]`

Set the name of the entity.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').

virtual void iMessageQuestRewardFactory::SetIDParameter | ( | const char * | id | ) | `[pure virtual]`

Set the message id.

Parameters:

  | id | is the message id or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h